1
Fork 0
hermetic_cc_toolchain/ci/release

21 lines
486 B
Plaintext
Raw Normal View History

#!/usr/bin/env bash
2022-04-18 12:35:14 +03:00
set -xeuo pipefail
cd "$(git rev-parse --show-toplevel)"
prev_ref=$(git rev-parse HEAD)
git commit --allow-empty -m "this is a test commit"
2022-04-18 12:35:14 +03:00
./release --nosign v99.0
cleanup() { git tag -d v99.0; git reset --hard "$prev_ref"; }
2022-04-18 12:35:14 +03:00
trap cleanup EXIT
2022-04-18 12:35:14 +03:00
want=" 1 file changed, 2 insertions(+), 2 deletions(-)"
got=$(git show --shortstat HEAD | tail -1)
if [[ "$want" != "$got" ]]; then
echo wanted:
echo \ \ "$want"
echo got:
echo \ \ "$got"
exit 1
fi